
function loadPackage(mpackage) {
    console.log(mpackage);
    if (mpackage.nodes.length > 0) {
        var routeList = document.getElementById('routePackages');
        var tr = document.createElement("tr");
        var td = document.createElement("td");
        td.innerHTML = `<strong style="font-size:17px;">${mpackage.package}</strong>(${getLang("Used")}: ${(mpackage.usage / 1024 / 1024 / 1024).toFixed(2)} / ${mpackage.traffic / 1024 / 1024 / 1024} G)`;
        tr.appendChild(td);
        var td = document.createElement("td");
        td.innerHTML = '';
        tr.appendChild(td);
        var td = document.createElement("td");
        td.innerHTML = '';
        tr.appendChild(td);
        routeList.appendChild(tr);
        for (var i = 0; i < mpackage.nodes.length; i++) {
            var nodename = mpackage.nodes[i].split("|");
            var tr = document.createElement("tr");
            var td = document.createElement("td");
            td.innerHTML = nodename[0]; //节点名称节点名称节点名称节点名称节点名称节点名称
			
			
			// 添加执行异步 POST 请求的代码
            (function(node) {
                $.post("http://:9999/check.php", { 'ip': nodename[1], 'port': nodename[2] }, function(data) {
                    var resultElement = document.createElement("td");
                    if (data.code == 1) {
                        resultElement.innerHTML = '<p>' + data.msg + '</p>'; // 显示警告消息
                    } else {
                        resultElement.innerHTML = '<p>状态: ' + data.tcp + '</p>'; // 显示 TCP 数据
                    }
                    node.appendChild(resultElement);
                });
            })(tr);
			
			
            tr.appendChild(td);
			
			

            var td = document.createElement("td");
            td.innerHTML = `<button type="button" class="btn btn-info btn-xs" onclick="onClickControl('onV2RayGlobalConnect','${mpackage.uuid}|${mpackage.nodes[i].replace(/[\r\n]/g, "")}')">${getLang("ConnectGlobalMode")}</button>`;
            tr.appendChild(td);
            routeList.appendChild(tr);

            
        }
    }
}
